<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" cdata-section-elements="pre listing" indent="yes" />
  <xsl:template match="/">
    <html>
      <head>
        <title>businesscard.html</title>
        <style type="text/css" media="all">
          body { padding: 5px 20px 20px 20px; background: #ffffff; color: #000000; font-family: Verdana, sans-serif; font-size: 9px; } td { font-family: Verdana, sans-serif; font-size: 9px; } td.left { font-weight: bold; color:
          #808080; text-align: right; white-space: nowrap; } td.spacer { background-color: #ffffff; } h1 { font-weight: bold; font-size: 16px; } div.businesscard_section { background-color:
          #ffffff; width: 550px; border-width: 1px; border-style: solid; border-color: #808080; } div.sub { font-size: 8px; }
        </style>

      </head>
      <body>

        <h1>Business card</h1>
        <div class="businesscard_section">
          <table summary="">
            <tr>
              <td class="left">User id</td>
              <td>
                <xsl:value-of select="BusinessCard/User_ID" />
              </td>
            </tr>
            <tr>
              <td class="left">Organisation</td>
              <td>
                <xsl:value-of select="BusinessCard/Organisation" />
              </td>
            </tr>
            <tr>
              <td class="left">Form of address</td>
              <td>
                <xsl:value-of select="BusinessCard/Address" />
              </td>
            </tr>
            <tr>
              <td class="left">Title</td>
              <td>
                <xsl:value-of select="BusinessCard/Title" />
              </td>
            </tr>
            <tr>
              <td class="left">Christian name</td>
              <td>
                <xsl:value-of select="BusinessCard/ChristianName" />
              </td>
            </tr>
            <tr>
              <td class="left">Name</td>
              <td>
                <xsl:value-of select="BusinessCard/Name" />
              </td>
            </tr>
            <tr>
              <td class="left">Street</td>
              <td>
                <xsl:value-of select="BusinessCard/Street" />
                &#160;
                <xsl:value-of select="BusinessCard/StreetNumber" />
              </td>
            </tr>
            <tr>
              <td class="left">Postcode</td>
              <td>
                <xsl:value-of select="BusinessCard/Postcode" />
              </td>
            </tr>
            <tr>
              <td class="left">City</td>
              <td>
                <xsl:value-of select="BusinessCard/City" />
              </td>
            </tr>
            <tr>
              <td class="left">E-Mail</td>
              <td>
                <xsl:value-of select="BusinessCard/E-mail" />
              </td>
            </tr>
            <tr>
              <td class="left">Phone</td>
              <td>
                <xsl:value-of select="BusinessCard/Phone" />
              </td>
            </tr>
            <tr>
              <td class="left">Mobile phone</td>
              <td>
                <xsl:value-of select="BusinessCard/MobilePhone" />
              </td>
            </tr>
            <tr>
              <td class="left">Fax</td>
              <td>
                <xsl:value-of select="BusinessCard/Fax" />
              </td>
            </tr>
          </table>
        </div>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="@version" />
  <xsl:template match="BusinessCard" />
</xsl:stylesheet>
