<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="buildVersion"><xsl:text>9</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<!-- Formular 12.1 -->
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/@erledigt">
		<xsl:attribute name="erledigt">false</xsl:attribute>
	</xsl:template>
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/@erledigt">
		<xsl:attribute name="erledigt">false</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/gruppe[@id=(starts-with(@id,'Gruppe'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/feld[@id=(starts-with(@id,'objektplaner'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/wahrheitswert[@id='nichtbaugrundstueckeigentuemer']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.1 wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/wahrheitswert[@id='liegenschaftskarte' or @id='lageplanamtlich' or @id='lageplanobjekt' or 
		@id='aussenanlagenplan' or @id='grundstuecksentwaesserungsplan' or @id='bauzeichnungen' or @id='baubeschreibung' or @id='besonderebauvorlagen' or @id='bauvorlageberechtigung' or @id='erklaerungobjektplaner' or @id='baustatistik' or 
		@id='betriebsbeschreibunggewerblich' or @id='maschinenaufstellplan' or @id='uebersichtsplangewerblich' or @id='betriebsbeschreibungforst' or @id='uebersichtsplanforst' or @id='baubeschreibungwerbeanlagen' or @id='darstellungumgebung']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/freiform[@id='gruppe5.attachments']">
	</xsl:template>
	<!-- Fomular 12.2 -->
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/@erledigt">
		<xsl:attribute name="erledigt">false</xsl:attribute>
	</xsl:template>
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/@erledigt">
		<xsl:attribute name="erledigt">false</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/gruppe[@id=(starts-with(@id,'Gruppe'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/feld[@id=(starts-with(@id,'objektplaner'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/wahrheitswert[@id='baugrundstueckeigentuemer' or @id='nichtbaugrundstueckeigentuemer' or @id='erdgas' or 
		@id='fluessiggas']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/tabelle[@id='feuerstaetten']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.2 wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/tabelle[@id='abgasanlagen']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/feld[@id='sonstigefeuerstaetten' or @id='kesselartoel' or @id='nennwaermeleistungoel' or 
		@id='oelart' or @id='ausruestungoel' or @id='kesselartgas' or @id='nennwaermeleistunggas' or @id='ausruestunggas']">
	</xsl:template>
	<!-- Formular 12.3a -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/feld[@id=(starts-with(@id,'objektplaner')) or @id='bezbimschv' or @id='geraeuschetageszeitvon2' or 
		@id='geraeuschetageszeitbis2' or @id='geraeuschenachtzeitvon2' or @id='geraeuschenachtzeitbis2' or @id='erschuetterungentageszeitvon2' or @id='erschuetterungentageszeitbis2' or 
		@id='erschuetterungennachtzeitvon2' or @id='erschuetterungennachtzeitbis2']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/wahrheitswert[@id='baugrundstueckeigentuemer']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.3a wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/wahrheitswert[@id='nichtbaugrundstueckeigentuemer']">
	</xsl:template>
	<!-- Formular 12.3b -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-2']/blatt[1]/feld[@id=(starts-with(@id,'objektplaner')) or @id='istjahresstundenarbeitenfremdvergeben' or 
		@id='zieljahresstundenarbeitenfremdvergeben']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-2']/blatt[1]/wahrheitswert[@id='baugrundstueckeigentuemer']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.3b wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-2']/blatt[1]/wahrheitswert[@id='nichtbaugrundstueckeigentuemer']">
	</xsl:template>
	<!-- Formular 12.4 -> Formular 12.6 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-4']/@id">
		<xsl:attribute name="id">Formular12-6</xsl:attribute>
	</xsl:template>
	<!-- Formular 12.5 -> Formular 12.7 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-5']/@id">
		<xsl:attribute name="id">Formular12-7</xsl:attribute>
	</xsl:template>
	<!-- Formular 12.6 entfernen -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-6']">
		<xsl:message terminate="no">
			<xsl:text>Das bisherige Formular 12.6 ist entfallen und wurde ersetzt. Des Weiteren wurden die neuen Formulare 12.4 und 12.5 eingeführt. Bitte prüfen Sie die entsprechenden Formulare.</xsl:text>
		</xsl:message>
	</xsl:template>
	<!-- Formular 12.7 -> Formular 12.8 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-7']/@id">
		<xsl:attribute name="id">Formular12-8</xsl:attribute>
	</xsl:template>
	<!-- Formular 12.8 -> Formular 12.9 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-8']/@id">
		<xsl:attribute name="id">Formular12-9</xsl:attribute>
	</xsl:template>
</xsl:stylesheet>