<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns2="http://www.nurago.de/bimschg">
<xsl:output method="xml" encoding="UTF-8"/>
  
  <xsl:variable name="remove-4BImSchV-data">8.10 a Sp. 1,8.10 b Sp. 1,8.11 aa Sp. 1,8.11 aaa Sp. 2,8.11 abb Sp. 2,8.11 acc Sp. 2,8.11 add Sp. 2,8.11 aee Sp. 2,8.11 aff Sp. 2,8.11 baa Sp. 2,8.11 bb Sp. 1,8.11 cc Sp. 1,8.11 dd Sp. 1,8.11 ee Sp. 1,8.12 Sp. 1,8.12 a Sp. 2,8.12 b Sp. 2,8.10 b Sp. 1,8.10 b Sp. 2,8.11 bbb Sp. 2,8.11 b Sp. 2,8.3 a Sp. 2,8.3 b Sp. 2</xsl:variable>    
  
  <xsl:template match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular1-1']/blatt/feld[@id='nrspaltegem4bimschv']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
   	 <xsl:element name="wert">
   	  <xsl:choose>
   	    <xsl:when test="string(wert)=''">
   	      <xsl:value-of select="wert" />
   	    </xsl:when>
		<xsl:when test="contains($remove-4BImSchV-data, wert/text())">
   		  <xsl:message terminate="no">
    		<xsl:text>Formular 1.1: Art der Anlage gem. 4. BImSchV: Wert "</xsl:text>
    		<xsl:value-of select="wert/text()" />
    		<xsl:text>" wurde geändert oder gestrichen. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="wert" />
		</xsl:otherwise>
  	 </xsl:choose>
  	</xsl:element>
   </xsl:element>
  </xsl:template>
  
  <xsl:template match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular3-3']/blatt/feld[@id='haupt_schluessel' or @id='an1_schluessel' or @id='an2_schluessel' or @id='an3_schluessel' or @id='an4_schluessel' or @id='an5_schluessel' or @id='an6_schluessel']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
   	 <xsl:element name="wert">
   	  <xsl:choose>
   	    <xsl:when test="string(wert)=''">
   	      <xsl:value-of select="wert" />
   	    </xsl:when>
		<xsl:when test="contains($remove-4BImSchV-data, wert/text())">
   		  <xsl:message terminate="no">
    		<xsl:text>Formular 3.3: Anlagenschlüssel "</xsl:text>
    		<xsl:value-of select="wert/text()" />
    		<xsl:text>" wurde geändert oder gestrichen. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="wert" />
		</xsl:otherwise>
  	 </xsl:choose>
  	</xsl:element>
   </xsl:element>
  </xsl:template>
  
  <xsl:template match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular1-1']/blatt/feld[@id='bezeichnunggem4bimschv']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
   	 <xsl:element name="wert">
   	  <xsl:choose>
		<xsl:when test="contains($remove-4BImSchV-data, /ns2:antrag[@programmVersion='2.0']/formular[@id='Formular1-1']/blatt/feld[@id='nrspaltegem4bimschv']/wert/text())">
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="wert" />
		</xsl:otherwise>
  	 </xsl:choose>
  	</xsl:element>
   </xsl:element>
  </xsl:template>
  
  <xsl:template match="/ns2:antrag/@programmVersion[.='2.0']">
  	<xsl:attribute name="programmVersion"><xsl:text>2.1</xsl:text></xsl:attribute>
  </xsl:template>
  

</xsl:stylesheet>