<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="buildVersion"><xsl:text>9</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<!-- Formular 12.1 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/feld[@id='antragstellerfax']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.1 wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/feld[@id='vertreterfax']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-1']/blatt[1]/feld[@id='entwurfsverfasserfax']">
	</xsl:template>
	<!-- Formular 12.2 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-2']/blatt[1]/feld[@id='antragstellerfax']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.2 wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<!-- Formular 12.3a -->
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/@erledigt">
		<xsl:attribute name="erledigt">false</xsl:attribute>
	</xsl:template>
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/@erledigt">
		<xsl:attribute name="erledigt">false</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/gruppe[@id=(starts-with(@id,'Gruppe'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/feld[@id='antragstellerfax']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.3a wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/feld[@id='bezbimschv' or @id='gefahrstoffeartursache' or 
		@id='gefahrstoffebezeichnungraume' or @id='gefahrstoffeschutzvorkehrungen' or @id='unzutraeglichetemperaturenartursache' or @id='unzutraeglichetemperaturenbezeichnungraume' or 
		@id='unzutraeglichetemperaturenschutzvorkehrungen' or @id='laermartursache' or @id='laermbezeichnungraume' or @id='laermschutzvorkehrungen']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-1']/blatt[1]/feld[@id=(starts-with(@id,'pausenraeume')) or 
		@id=(starts-with(@id,'sanitaetsraeume')) or @id=(starts-with(@id,'umkleideraeume')) or @id=(starts-with(@id,'waschraeume')) or @id=(starts-with(@id,'toilettenraeume'))]">
	</xsl:template>
	<!-- Formular 12.3b -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-2']/blatt[1]/feld[@id='antragstellerfax']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.3b wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<!-- Formular 12.3c -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/feld[@id='antragstellerfax']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.3c wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/feld[@id='vertreterfax' or @id='anlage2xfach']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/feld[@id='anlage5xfach']/@id">
		<xsl:attribute name="id">anlage4xfach</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/wahrheitswert[@id='gebaudeklasse' or @id='standsicherheit' or 
		@id='anlage2']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/wahrheitswert[@id='anlage3']/@id">
		<xsl:attribute name="id">anlage2</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/wahrheitswert[@id='anlage4']/@id">
		<xsl:attribute name="id">anlage3</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '9'))]/formular[@id='Formular12-3-3']/blatt[1]/wahrheitswert[@id='anlage5']/@id">
		<xsl:attribute name="id">anlage4</xsl:attribute>
	</xsl:template>
</xsl:stylesheet>