<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns2="http://www.nurago.de/bimschg">
	<xsl:output method="xml" encoding="UTF-8" />

	
	<!-- Formular 9.2: löscht lfdnr aus Tabelle wassergefaehrdendestoffeund gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular9-2']/blatt/tabelle[@id='abfaelle']/zeile/feld[@id='lfdnr']" priority="3">

	</xsl:template>

	<!-- Formular 11.1: löscht lfdnr aus Tabelle wassergefaehrdendestoffeund gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-1']/blatt/tabelle[@id='wassergefaehrdendestoffe']/zeile/feld[@id='lfdnr']" priority="3">

	</xsl:template>



	<!-- Formular 11.2: löscht Feld gelagertestoffe und gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-2']/blatt/feld[@id='gelagertestoffe']" priority="3">
		<xsl:message terminate="no">
    		<xsl:text>Formular 11.2: Anlagen zum Lagern flüssiger wassergefährdender Stoffe </xsl:text>
    		<xsl:text>BE wurde hinzugefügt. Bitte neu eintragen!</xsl:text>
    		<xsl:text>Gelagerte Stoffe ist jetzt eine Tabelle. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>		
	</xsl:template>

	<!-- Formular 11.4: löscht Feld abgefuelltestoffe und gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-4']/blatt/feld[@id='abgefuelltestoffe']" priority="3">
		<xsl:message terminate="no">
    		<xsl:text>Formular 11.4: Anlagen zum Abfüllen/Umschlagen wassergefährdender flüssiger Stoffe </xsl:text>
    		<xsl:text>"BE" wurde hinzugefügt. Bitte neu eintragen!</xsl:text>
    		<xsl:text>"Abgefüllte/umgeschlagene Stoffe" ist jetzt eine Tabelle. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>		
	</xsl:template>
		
	<!-- Formular 11.5: löscht Tabelle stoffe und gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-5']/blatt/tabelle[@id='stoffe']" priority="3">
		<xsl:message terminate="no">
    		<xsl:text>Formular 11.5: Anlagen zum Herstellen, Behandeln und Verwenden wassergefährender Stoffe (HBV Anlagen) </xsl:text>
    		<xsl:text>"BE" wurde hinzugefügt. Bitte neu eintragen!</xsl:text>
    		<xsl:text> Tabelle der Stoffe hat sich geändert. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>		
	</xsl:template>
		
		
	<!-- Formular 11.6: löscht Feld fluessigkeiten und gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-6']/blatt/feld[@id='fluessigkeiten']" priority="3">
		<xsl:message terminate="no">
    		<xsl:text>Formular 11.6: Anlagen zum Abfüllen/Umschlagen wassergefährdender flüssiger Stoffe </xsl:text>    		
    		<xsl:text>"Flüssigkeiten, die durch die Rohrleitung transportiert werden" ist jetzt eine Tabelle. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>		
	</xsl:template>


	<!-- Formular 11.7:löscht Feld nrderanlage und gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-7']/blatt/feld[@id='nrderanlage']" priority="3">
		<xsl:message terminate="no">
    		<xsl:text>Formular 11.7: Anlagen zur Zurückhaltung von mit wassergefährdenden Stoffen verunreinigtem Löschwasser (Löschwasser-Rückhalteeinrichtungen) </xsl:text>    		
    		<xsl:text>"Nr./ Bezeichnung der Anlagen, Anlagenteile und Betriebseinheiten, aus denen das Löschwasser zurückgehalten werden soll" ist jetzt eine Tabelle. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>		
	</xsl:template>

	<!-- Formular 11.7: löscht Feld auffangraumstoffe und gibt Meldung -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular11-7']/blatt/feld[@id='auffangraumstoffe']" priority="3">
		<xsl:message terminate="no">
    		<xsl:text>Formular 11.7: Anlagen zur Zurückhaltung von mit wassergefährdenden Stoffen verunreinigtem Löschwasser (Löschwasser-Rückhalteeinrichtungen) </xsl:text>    		
    		<xsl:text>"für welche Stoffe" ist jetzt eine Tabelle. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>		
	</xsl:template>

 
  <xsl:template match="/ns2:antrag[@programmVersion='2.0']/formular[@id='Formular14-3']" priority="3">
	<xsl:element name="formular">
	 <xsl:attribute name="id">Formular14-4</xsl:attribute>
	 <xsl:attribute name="erledigt"><xsl:value-of select="@erledigt" /></xsl:attribute>
	 <xsl:attribute name="notwendig"><xsl:value-of select="@notwendig" /></xsl:attribute>
	 <xsl:attribute name="version"><xsl:value-of select="@version" /></xsl:attribute>
	 <xsl:apply-templates />
	</xsl:element>
  </xsl:template>



		
	<xsl:template match="/ns2:antrag/@programmVersion[.='2.0']">
		<xsl:attribute name="programmVersion"><xsl:text>2.1</xsl:text></xsl:attribute>
	</xsl:template>


</xsl:stylesheet>