<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.3']">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="antragVersion">
	            <xsl:text>1</xsl:text>
	       </xsl:attribute>
			<xsl:attribute name="programmVersion"><xsl:text>2.4</xsl:text></xsl:attribute>
			<xsl:attribute name="buildVersion"><xsl:text>1</xsl:text></xsl:attribute>

			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-2']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-2-1']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-3']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-4']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-3-1']/@id">
		<xsl:attribute name="id">Formular6-2-1</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-3-2']/@id">
		<xsl:attribute name="id">Formular6-2</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-4-1']">
		<xsl:message terminate="no">
			<xsl:text>Formular 6.4.1 wurde gestrichen. Bitte neu eintragen!</xsl:text>
		</xsl:message>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-4-2']/@id">
		<xsl:attribute name="id">Formular6-3</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular6-5']/@id">
		<xsl:attribute name="id">Formular6-4</xsl:attribute>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular1-1']">
		<xsl:message terminate="no">
			<xsl:text>Die Angaben der Rechts(Ost)-/Hoch(Nord)werte in Formular 1.1 Punkt 2.1 müssen im ETRS-Format eingegeben werden. Bitte überprüfen sie die Angaben.</xsl:text>
		</xsl:message>
		<xsl:message terminate="no">
			<xsl:text>Angaben zu AN´s (Formular 3.3) werden jetzt in Formular 1.1 unter Punkt 2.3 gepflegt. Bitte ergänzen Sie die fehlenden Angaben.</xsl:text>
		</xsl:message>
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular1-1']/blatt">

		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
			<tabelle id="anlagenteile">
				<xsl:for-each
					select="/ns2:antrag/formular[@id='Formular3-3']/blatt[1]/feld[starts-with(@id,'an' ) and contains(@id, '_nr')and not(contains(@id, '_be'))  ]">
					<xsl:variable name="var.schluessel"
						select="concat(substring-before(./@id, '_nr'), '_schluessel')" />
					<xsl:variable name="var.name"
						select="concat(substring-before(./@id, '_nr'), '_name')" />
					<zeile>
						<feld id="anlagenteile_nr">
							<wert>
								<xsl:value-of select="./wert" />
							</wert>
						</feld>
						<feld id="anlagenteile_4bimschv">
							<wert>
								<xsl:value-of
									select="/ns2:antrag/formular[@id='Formular3-3']/blatt[1]/feld[@id = $var.schluessel]/wert" />
							</wert>
						</feld>
						<feld id="anlagenteile_intBez">
							<wert>
								<xsl:value-of
									select="/ns2:antrag/formular[@id='Formular3-3']/blatt[1]/feld[@id = $var.name]/wert" />
							</wert>
						</feld>
						<feld id="anlagenteile_kapazität_vorhandene">
							<wert />
						</feld>
						<feld id="anlagenteile_kapazität_zukuenftige">
							<wert />
						</feld>
						<feld id="anlagenteile_einheit">
							<wert />
						</feld>
					</zeile>
				</xsl:for-each>
			</tabelle>
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.3']/formular[@id='Formular4-3']">
		<xsl:message terminate="no">
			<xsl:text>Die Angaben der Rechts(Ost)-/Hoch(Nord)werte in Formular 4.3 müssen im ETRS-Format eingegeben werden. Bitte überprüfen sie die Angaben.</xsl:text>
		</xsl:message>
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>