<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.4']">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="antragVersion">
	            <xsl:text>1</xsl:text>
	       </xsl:attribute>
			<xsl:attribute name="programmVersion"><xsl:text>2.5</xsl:text></xsl:attribute>
			<xsl:attribute name="buildVersion"><xsl:text>1</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4']/formular[@id='Formular1-1']">
		<xsl:message terminate="no">
			<xsl:text>In Formular 1.1 wurden unter Punkt 2.1 die Eingabe-Optionen für die Gemarkung, Flure und Flurstücke überarbeitet. Bitte passen Sie Ihre Eingaben an die neue Struktur an.</xsl:text>
		</xsl:message>
		<xsl:message terminate="no">
			<xsl:text>In Formular 1.1 sind nun unter Punkt 3.0 Angaben zur BVT-Vorschrift sowie zur Notwendigkeit eines Ausgangszustandsberichts einzutragen. Bitte ergänzen Sie die fehlenden Angaben.</xsl:text>
		</xsl:message>
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4']/formular[@id='Formular1-1']/blatt">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
			<tabelle id="gemarkungflurflurstuecke">
				<zeile>
					<feld id="gemarkungflurflurstuecke_gemarkung">
						<wert>
							<xsl:value-of
								select="/ns2:antrag/formular[@id='Formular1-1']/blatt[1]/feld[@id='gemarkung']/wert" />
						</wert>
					</feld>
					<feld id="gemarkungflurflurstuecke_flur">
						<wert>
							<xsl:value-of
								select="/ns2:antrag/formular[@id='Formular1-1']/blatt[1]/feld[@id='flur']/wert" />
						</wert>
					</feld>
					<feld id="gemarkungflurflurstuecke_flurstuecke">
						<wert>
							<xsl:value-of
								select="/ns2:antrag/formular[@id='Formular1-1']/blatt[1]/feld[@id='flurstuecke']/wert" />
						</wert>
					</feld>
				</zeile>
			</tabelle>
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4']/formular[@id='Formular1-1']/blatt[1]/feld[@id='gemarkung' or @id='flur' or @id='flurstuecke']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4']/formular[@id='Formular4-5']/blatt[1]/tabelle[@id='schallemissionen']">
		<xsl:message terminate="no">
			<xsl:text>Die Spalte zur lfd. Nummer in Formular 4.5 ist entfallen.</xsl:text>
		</xsl:message>
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4']/formular[@id='Formular4-5']/blatt[1]/tabelle[@id='schallemissionen']/zeile/feld[@id='lfdnr']">
	</xsl:template>	
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4']/formular[@id='Formular15-1']/blatt[1]/freiform">
	</xsl:template>
</xsl:stylesheet>