<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="buildVersion"><xsl:text>10</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
		<xsl:message terminate="no">
			<xsl:text>
				Es wurden Änderungen an der Störfallverordnung vorgenommen (Formular 1.1, Kapitel 6, Formular 14.3, Formular 14.3a und Formular 14.3b). 
				Bitte überprüfen Sie Ihre bisherigen Eingaben.
			</xsl:text>
		</xsl:message>
	</xsl:template>
	<!-- Formular 6.1 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]/formular[@id='Formular6-1']/blatt[1]/wahrheitswert[@id='einzelquotient']">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]/formular[@id='Formular6-1']/blatt[1]/wahrheitswert[@id='gefaehrlichestoffe']">
	</xsl:template>
	<!-- Formular 6.1.1 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]/formular[@id='Formular6-1-1']">
	</xsl:template>
	<!-- Formular 6.2 -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]/formular[@id='Formular6-2']/@notwendig">
		<xsl:attribute name="notwendig">true</xsl:attribute>
	</xsl:template>
	<!-- Formular 6.2.3 -> Formular 6.2.4 -->
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]/formular[@id='Formular6-2-3']/@id">
		<xsl:attribute name="id">Formular6-2-4</xsl:attribute>
	</xsl:template>
	<!-- Formular 6.3 -->
	<xsl:template 
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '10'))]/formular[@id='Formular6-3']/@notwendig">
		<xsl:attribute name="notwendig">true</xsl:attribute>
	</xsl:template>
</xsl:stylesheet>