<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns2="http://www.nurago.de/bimschg">
<xsl:output method="xml" encoding="UTF-8"/>

  <xsl:variable name="remove1-44-data">1.2 a Sp. 1,1.2 b Sp. 1,1.3 Sp. 1,1.4 b Sp. 2,1.4 c Sp. 2,1.7 Sp. 1,1.13 Sp. 1,1.15 Sp. 2,1.16 Sp. 1,1.16 Sp. 2,2.5 Sp. 2,2.6 Sp. 2,2.9 Sp. 2,2.13 Sp. 2,2.15 Sp. 1,3.2 Sp. 1,3.3 Sp. 2,3.6 Sp. 2,3.6 a Sp. 2,3.6 b Sp. 2,3.6 c Sp. 2,3.9 Sp. 2,3.9 a Sp. 1,3.9 b Sp. 1,3.13 Sp. 1,3.14 Sp. 1,3.14 Sp. 2,3.15 Sp. 2,3.15 a Sp. 2,3.15 b Sp. 2,3.15 c Sp. 2,3.21 Sp. 1,3.22 Sp. 2,3.23 Sp. 1,4.2 Sp. 1,4.3 c Sp. 2,4.5 Sp. 1,4.8 Sp. 1,4.10 Sp. 2,4.11 Sp. 2,5.1 Sp. 2,5.1 a Sp. 1,5.1 b Sp. 1,5.1 c Sp. 1,5.2 a Sp. 1,5.2 a Sp. 2,5.2 b Sp. 1,5.2 b Sp. 2,5.5 Sp. 2,6.4 Sp. 2,7.1 b Sp. 2,7.1 e Sp. 1,7.1 f Sp. 1,7.2 a Sp. 1,7.2 b Sp. 1,7.3 Sp. 1,7.4 Sp. 1,7.4 Sp. 2,7.6 Sp. 2,7.7 Sp. 2,7.10 Sp. 1,7.10 Sp. 2,7.11 Sp. 1,7.15 Sp. 1,7.18 Sp. 1,7.18 Sp. 2,7.21 Sp. 2,7.26 Sp. 2,7.27 Sp. 2,7.31 Sp. 2,7.31 c Sp. 2,7.33 Sp. 2,8.1 Sp. 1,8.1 Sp. 2,8.4 Sp. 1,8.4 a Sp. 2,8.4 b Sp. 2,8.6 Sp. 1,8.9 Sp. 2,8.11 Sp. 2,9.9 Sp. 1,9.9 Sp. 2,9.10 Sp. 1,10.1 Sp. 1,10.2 Sp. 2,10.3 Sp. 1,10.3 Sp. 2,10.4 Sp. 2,10.5 Sp. 2,10.6 Sp. 2,10.10 Sp. 2,10.11 Sp. 2,10.15 Sp. 2,10.19 Sp. 2,10.24 Sp. 2,10.25 Sp. 1</xsl:variable>    
  
  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular1-1']/blatt/feld[@id='nrspaltegem4bimschv']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
   	 <xsl:element name="wert">
   	  <xsl:choose>
   	    <xsl:when test="string(wert)=''">
   	      <xsl:value-of select="wert" />
   	    </xsl:when>
		<xsl:when test="contains($remove1-44-data, wert/text())">
   		  <xsl:message terminate="no">
    		<xsl:text>Formular 1.1: Art der Anlage gem. 4. BImSchV: Wert "</xsl:text>
    		<xsl:value-of select="wert/text()" />
    		<xsl:text>" wurde gestrichen. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="wert" />
		</xsl:otherwise>
  	 </xsl:choose>
  	</xsl:element>
   </xsl:element>
  </xsl:template>

  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular3-3']/blatt/feld[@id='haupt_schluessel' or @id='an1_schluessel' or @id='an2_schluessel' or @id='an3_schluessel' or @id='an4_schluessel' or @id='an5_schluessel' or @id='an6_schluessel']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
   	 <xsl:element name="wert">
   	  <xsl:choose>
   	    <xsl:when test="string(wert)=''">
   	      <xsl:value-of select="wert" />
   	    </xsl:when>
		<xsl:when test="contains($remove1-44-data, wert/text())">
   		  <xsl:message terminate="no">
    		<xsl:text>Formular 3.3: Anlagenschlüssel "</xsl:text>
    		<xsl:value-of select="wert/text()" />
    		<xsl:text>" wurde gestrichen. Bitte neu eintragen!</xsl:text>
   		  </xsl:message>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="wert" />
		</xsl:otherwise>
  	 </xsl:choose>
  	</xsl:element>
   </xsl:element>
  </xsl:template>

  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular1-1']/blatt/feld[@id='bezeichnunggem4bimschv']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
   	 <xsl:element name="wert">
   	  <xsl:choose>
		<xsl:when test="contains($remove1-44-data, /ns2:antrag[@programmVersion='1.9']/formular[@id='Formular1-1']/blatt/feld[@id='nrspaltegem4bimschv']/wert/text())">
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="wert" />
		</xsl:otherwise>
  	 </xsl:choose>
  	</xsl:element>
   </xsl:element>
  </xsl:template>

  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular3-4']/blatt/tabelle[@id='betriebsgebaeude']/zeile/feld[@id='benr']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
	 <xsl:apply-templates />
	</xsl:element>
	<xsl:variable name="benr" select="wert" />
	<xsl:element name="feld">
	  <xsl:attribute name="id">betriebseinheit</xsl:attribute>
   	  <xsl:element name="wert">
   	  <xsl:for-each select="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular3-3']/blatt/feld">
   	   <xsl:if test="contains(@id, '_nr')">
	    <xsl:if test="contains(@id, '_be')">
	     <xsl:if test="wert=$benr">
   	      <xsl:variable name="fieldname" select="concat(substring(@id, 0, string-length(@id)-2), '_name')" />
   	      <xsl:value-of select="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular3-3']/blatt/feld[@id=$fieldname]/wert" />
    	 </xsl:if>
    	</xsl:if>
   	   </xsl:if>
   	  </xsl:for-each>
   	 </xsl:element>
	</xsl:element>
  </xsl:template>


  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular4-2']/blatt/tabelle[@id='betriebszustand']/zeile/feld[@id='be']" priority="3">
	<xsl:element name="feld">
	  <xsl:attribute name="id">
	   <xsl:value-of select="@id" />
	 </xsl:attribute>
	 <xsl:apply-templates />
	</xsl:element>
	<xsl:variable name="benr" select="wert" />
	<xsl:element name="feld">
	  <xsl:attribute name="id">betriebseinheit</xsl:attribute>
   	  <xsl:element name="wert">
   	  <xsl:for-each select="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular3-3']/blatt/feld">
   	   <xsl:if test="contains(@id, '_nr')">
	    <xsl:if test="contains(@id, '_be')">
	     <xsl:if test="wert=$benr">
   	      <xsl:variable name="fieldname" select="concat(substring(@id, 0, string-length(@id)-2), '_name')" />
   	      <xsl:value-of select="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular3-3']/blatt/feld[@id=$fieldname]/wert" />
    	 </xsl:if>
    	</xsl:if>
   	   </xsl:if>
   	  </xsl:for-each>
   	 </xsl:element>
	</xsl:element>
  </xsl:template>

  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular9-4']" priority="3">
   <xsl:message terminate="no">
    <xsl:text>Formular 9.4: Wurde ersatzlos gestrichen!</xsl:text>
   </xsl:message>
  </xsl:template>
  
  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular9-5']" priority="3">
	<xsl:element name="formular">
	 <xsl:attribute name="id">Formular9-4</xsl:attribute>
	 <xsl:attribute name="erledigt"><xsl:value-of select="@erledigt" /></xsl:attribute>
	 <xsl:attribute name="notwendig"><xsl:value-of select="@notwendig" /></xsl:attribute>
	 <xsl:attribute name="version"><xsl:value-of select="@version" /></xsl:attribute>
	 <xsl:apply-templates />
	</xsl:element>
  </xsl:template>
  
  <xsl:template match="/ns2:antrag[@programmVersion='1.9']/formular[@id='Formular13-1']/blatt" priority="3">
	<xsl:element name="blatt">
	 <xsl:attribute name="erledigt"><xsl:value-of select="@erledigt" /></xsl:attribute>
	 <xsl:attribute name="id"><xsl:value-of select="@id" /></xsl:attribute>
	 <xsl:attribute name="blattNummer"><xsl:value-of select="@blattNummer" /></xsl:attribute>
	 <xsl:apply-templates />
	 <xsl:element name="feld">
	  <xsl:attribute name="id">artenschutzrechtlicheausnahmegenehmigungerlaeuterung</xsl:attribute>
	  <xsl:element name="wert"></xsl:element>
	 </xsl:element>
	 <xsl:element name="wahrheitswert">
	  <xsl:attribute name="id">artenschutzrechtlicheausnahmegenehmigung</xsl:attribute>
	  <xsl:element name="wert">false</xsl:element>
	 </xsl:element>
	</xsl:element>
  </xsl:template>
  

  <xsl:template match="/ns2:antrag/@programmVersion[.='1.9']">
  	<xsl:attribute name="programmVersion"><xsl:text>2.0</xsl:text></xsl:attribute>
  </xsl:template>

</xsl:stylesheet>